Version 1.10.0 : New stable version with critical security fixes

The latest news about Gargoyle

Moderator: Moderators

lucianor
Posts: 13
Joined: Wed Dec 21, 2016 1:58 pm

Re: Version 1.10.0 : New stable version with critical security fixes

Post by lucianor »

The curl package dependency seems to be broken - not sure if related to the upgrade:

Code: Select all

root@Gargoyle:/usr/sbin# opkg update
Downloading package list for chaos_calmer_base source...
Package list for chaos_calmer_base downloaded successfully.

Downloading package list for gargoyle source...
Package list for gargoyle downloaded successfully.

Downloading package list for chaos_calmer_packages source...
Package list for chaos_calmer_packages downloaded successfully.

Downloading package list for chaos_calmer_telephony source...
Package list for chaos_calmer_telephony downloaded successfully.

Downloading package list for chaos_calmer_routing source...
Package list for chaos_calmer_routing downloaded successfully.

Downloading package list for chaos_calmer_management source...
Package list for chaos_calmer_management downloaded successfully.

root@Gargoyle:/usr/sbin# opkg install curl
ERROR: Dependency libpolarssl of package curl cannot be found, try updating your package lists

ispyisail
Moderator
Posts: 4763
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: Version 1.10.0 : New stable version with critical security fixes

Post by ispyisail »

mine work on my C7, out of space?

Code: Select all

root@Gargoyle:~# opkg install curl
Preparing to install the following packages, which will require 136096 bytes:
        curl, libcurl

Preparing to install package libcurl...
        Downloading...
        Downloaded libcurl successfully.
        Installing libcurl...
        Successfully installed libcurl.
Preparing to install package curl...
        Downloading...
        Downloaded curl successfully.
        Installing curl...
        Successfully installed curl.
Installation of packages successful.

root@Gargoyle:~#

themadsens
Posts: 2
Joined: Wed Nov 01, 2017 3:45 pm

Re: Version 1.10.0 : New stable version with critical security fixes

Post by themadsens »

Thanks @ispyisail, that fixed it. I had to rig a serial port though to issue the 'firstboot' command
ispyisail wrote:I've had the same problem

failsafe / refalsh will fix the problem

If you are quick you should able to reset via GUI

ispyisail
Moderator
Posts: 4763
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: Version 1.10.0 : New stable version with critical security fixes

Post by ispyisail »

Yeah...

Tip: Don't rush configuring your router. My hypothesis is clicking on Gargoyle UI screens or buttons before a previous process has finished can corrupt the gargoyle config requireing a re-flash or reset.

themadsens wrote:Thanks @ispyisail, that fixed it. I had to rig a serial port though to issue the 'firstboot' command
ispyisail wrote:I've had the same problem

failsafe / refalsh will fix the problem

If you are quick you should able to reset via GUI

arthng
Posts: 16
Joined: Sun Dec 20, 2015 4:26 pm
Location: Australia

Re: Version 1.10.0 : New stable version with critical security fixes

Post by arthng »

Thanks for the update.
Upgraded wndr3700v4 and all is good.
Is the GUI snappier or am i imagining things?

Cornholio
Posts: 26
Joined: Thu Aug 17, 2017 9:52 pm

Re: Version 1.10.0 : New stable version with critical security fixes

Post by Cornholio »

All good here.

Thanks for the update.

Naevus
Posts: 11
Joined: Tue Aug 26, 2014 11:51 pm

Re: Version 1.10.0 : New stable version with critical security fixes

Post by Naevus »

vladtheodor wrote:No problems till now (1.10.0)

What's the secret?
When I try to flash sysupgrade (1043в1), the router hangs on the update and does nothing. If I restart the browser - everything stays on the old (1.9.2) firmware.
I try 3 various brousers.

kaminkehrer
Posts: 3
Joined: Fri Feb 24, 2017 4:35 am

Re: Version 1.10.0 : New stable version with critical security fixes

Post by kaminkehrer »

Hello,

Thank you very much!
Works fine, as expected on my TP-Link WR1043ND v1.8 :-).
I use my TP-Link WR1043ND as WLAN AccessPoint.

Kind Regards
kaminkehrer

uysiquebien
Posts: 58
Joined: Fri Jan 03, 2014 2:01 pm

Re: Version 1.10.0 : New stable version with critical security fixes

Post by uysiquebien »

TL-WR741ND v4 successfully upgraded, settings retained, everything OK. Thanks for your work.

snake218
Posts: 17
Joined: Wed Jan 28, 2015 6:59 pm

Re: Version 1.10.0 : New stable version with critical security fixes

Post by snake218 »

Just updated C7 V2 with "preserve settings". all working, so far. 5gh and 40 MHZ bandwith, with previous modification of region and no scan option.

Or is a clean install recommended?

Post Reply